// replace #include <boost/tr1/regex.hpp> with
//         #include <regex>
// and
// std::tr1:: with std:: in the source code

#include <boost/tr1/regex.hpp>

#include <iostream>
#include <string>

int main(){

  std::cout << std::endl;

  std::string germanDoubles{"+0,85 -13,2 1,0 ,45 -13,7 1,03425 10134,25"};
  std::cout << germanDoubles << std::endl;

  // replace "," with "."
  std::tr1::regex rgxDouble(R"(([-+]?[0-9]*),?([0-9]+))");

  std::string englishDoubles{std::tr1::regex_replace(germanDoubles,rgxDouble,"$1.$2")};
  std::cout << englishDoubles << std::endl;

  std::cout << std::endl;

}
